Skip to content

List Nodes

GET
/api/v1/nodes/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key for authenticating the request

Example

<API_KEY>
location
required
string

Specifies the location filter for the node list request.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the response

integer
data
Array<object>
object
id

Node identifier

integer
name

Node identifier

string
status

Current state of the node

string
public_ip_address

Public IP address of the node

string
private_ip_address

The private IPv4 address of the node.

string
rescue_mode_status

Indicates whether rescue mode is enabled for the node

string
is_locked

Indicates whether the node is locked

boolean
plan

Identifier of the node’s hardware or service plan

string
is_accidental_protection

Indicates if the node is protected against accidental deletion

boolean
isEncryptionEnabled

Indicates whether encryption is enabled for the node

boolean
errors
object
message

Status message describing the outcome of the list nodes request.

string

Example

{
"code": 200,
"data": [
{
"id": 12345,
"name": "C3-8GB-501",
"status": "Running",
"public_ip_address": "[]",
"private_ip_address": "10.2.3.4",
"rescue_mode_status": "Disabled",
"is_locked": false,
"plan": "C3.8GB",
"is_accidental_protection": false,
"isEncryptionEnabled": false
}
],
"message": "Success"
}